<?php
function rm_podcast_display($event_id=NULL,$speaker_id=NULL,$file_id=NULL)
{
/**
 *  Podcast Display
 * 
 * @author  Andy Moyle
 * @param    $event_id,$speaker_id,$file_id
 * @return   
 * @version  0.1
 * 
 */
    global $wpdb;
    if($file_id){return rm_display_file($file_id);}
    elseif($speaker_id)
    {//speaker_id specified
        $speaker=$wpdb->get_row('SELECT * FROM '.RM_POD_SPK.' WHERE speaker_id="'.esc_sql($speaker_id).'"');
        $header=get_option('rm_podcast_speaker_template');
        $header=str_replace('[SPEAKER_NAME]',$speaker->speaker_name,$header);
        $header=str_replace('[SPEAKER_DESCRIPTION]',$speaker->speaker_description,$header);
        $sql='SELECT file_id FROM '.RM_POD_FIL.' WHERE speaker_id="'.esc_sql($speaker_id).'"';
    }//end speaker_id specified
    elseif($event_id)
    {//event_id specified
        $event=$wpdb->get_row('SELECT * FROM '.RM_POD_EVE.' WHERE event_id="'.esc_sql($event_id).'"');
        $header=get_option('rm_podcast_event_template');
        $header=str_replace('[EVENT_NAME]',$event->event_name,$header);
        $header=str_replace('[EVENT_DESCRIPTION]',$event->event_description,$header);
        $sql='SELECT file_id FROM '.RM_POD_FIL.' WHERE event_id="'.esc_sql($event_id).'"';
    }//end event_id specified
    else
    {//not specified
        $header='';
        $sql='SELECT file_id FROM '.RM_POD_FIL.' ORDER BY pub_date DESC';
    }//not specified
    $results=$wpdb->get_results($sql);
    if($results)
    {
        $out=$header;
        foreach($results AS $row){$out.=rm_display_file($row->file_id);}
        return $out;
    }
    else
    {
        return("<p>There are no media files uploaded yet</p>");
    }
    
}

function rm_display_file($file_id=NULL)
{
    /**
 *  Display file from template
 * 
 * @author  Andy Moyle
 * @param    $file_id
 * @return   
 * @version  0.1
 * 
 */
    global $wpdb;
    if(!$file_id)return("<p>There is no file to display</p>");
    $template=get_option('rm_podcast_file_template');
    
    $data=$wpdb->get_row('SELECT a.*,b.speaker_name AS speaker_name, c.event_name FROM '.RM_POD_FIL.' a, '.RM_POD_SPK.' b,'.RM_POD_EVE.' c WHERE a.event_id=c.event_id AND a.speaker_id=b.speaker_id AND a.file_id="'.esc_sql($file_id).'"');
   
    if($data)
    {
        $template=str_replace('[FILE_TITLE]',$data->file_title,$template);
        $template=str_replace('[FILE_NAME]',RM_POD_URL.$data->file_name,$template);
        $template=str_replace('[FILE_DOWNLOAD]','<a href="'.RM_POD_URL.$data->file_name.'" title="'.esc_html($data->file_title).'">'.esc_html($data->file_title).'</a>',$template);
        $template=str_replace('[FILE_DESCRIPTION]',$data->file_description,$template);
        $template=str_replace('[EVENT_NAME]',$data->event_name,$template);
        $template=str_replace('[SPEAKER_NAME]',$data->speaker_name,$template);
        $template=str_replace('[SPEAKER_DESCRIPTION]',$data->speaker_name,$template);
        return $template;
    }
    else
    {
        return "File not found";
    }
    
}

?>