<?php



function rm_podcast_install()
{
/**
 *
 * Installs WP tables and options
 * 
 * @author  Andy Moyle
 * @param    null
 * @return   
 * @version  0.1
 * 
 */     
    global $wpdb;
    if ($wpdb->get_var('SHOW TABLES LIKE "'.RM_POD_SPK.'"') != RM_POD_SPK)
    {
        $sql='CREATE TABLE  '.RM_POD_SPK.' (`speaker_name` TEXT NOT NULL ,`church_id` INT( 11 ) NOT NULL ,`speaker_id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci;';
        $wpdb->query($sql);
    }
    if ($wpdb->get_var('SHOW TABLES LIKE "'.RM_POD_EVE.'"') != RM_POD_EVE)
    {
        $sql='CREATE TABLE  '.RM_POD_EVE.' (`event_name` TEXT NOT NULL ,`event_description` TEXT NOT NULL ,`event_id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci;';
        $wpdb->query($sql);
    }
    if ($wpdb->get_var('SHOW TABLES LIKE "'.RM_POD_FIL.'"') != RM_POD_FIL)
    {
        $sql='CREATE TABLE  '.RM_POD_FIL.' (`file_name` TEXT NOT NULL ,`file_title` TEXT NOT NULL ,`file_description` TEXT NOT NULL ,`private` INT(1) NOT NULL DEFAULT "0",`length` TEXT NOT NULL, `pub_date` DATETIME, last_modified DATETIME, `event_id` INT( 11 ) NOT NULL , `speaker_id` INT( 11 ) NOT NULL,`file_id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci;';
        $wpdb->query($sql);
    }
    $file_template=get_option('rm_podcast_file_template');
    if(empty($file_template))
    {
        $file_template='<div class="rm_podcast_file"><h3>[FILE_TITLE]</h3><p><audio src="[FILE_NAME]" preload="none"/></p><p>[FILE_DESCRIPTION]<br/><span style="font-size:smaller">[EVENT_NAME]: [SPEAKER]</span></p></div>';
        update_option('rm_podcast_file_template',$file_template);
    }
    $event_template=get_option('rm_podcast_event_template');
    if(empty($event_template))
    {
        $event_template='<h2>[EVENT_NAME]</h2>[EVENT_DESCRIPTION]';
        update_option('rm_podcast_event_template',$event_template);
    }
    $speaker_template=get_option('rm_podcast_speaker_template');
    if(empty($speaker_template))
    {
        $speaker_template='<h2>[SPEAKER_NAME]</h2>[SPEAKER_DESCRIPTION]';
        update_option('rm_podcast_speaker_template',$speaker_template);
    }
    $settings=get_option('rm_podcast_settings');
    if(empty($settings))
    {
        $settings=array(
            'title'=>'',  
            'copyright'=>'',
            'link'=>RM_POD_URL.'podcast.xml',
            'subtitle'=>'',
            'author'=>'',
            'summary'=>'',
            'description'=>'',
            'owner_name'=>'',
            'owner_email'=>'',
            'image'=>'',
            'category'=>'',
        );
        update_option('rm_podcast_settings',$settings);
    }
    
   
    if(!is_dir(RM_POD_PTH))
    {
        $old = umask(0);
        mkdir(RM_POD_PTH);
        chmod(RM_POD_PTH, 0755);
        umask($old); 
        $index='//nothing is good';
        $fp = fopen(RM_POD_PTH.'index.php', 'w');
        fwrite($fp, $index);
        fclose($fp);
    }
    
}//end rm_podcast_install

?>