<?php
/*

Plugin Name: RM Podcasts
Plugin URI: http://www.themoyles.co.uk/
Description: An itunes compatible podcast plugin for conference organisers
Version: 0.3
Author: Andy Moyle
Author URI:http://www.themoyles.co.uk

Copyright 2007 Andy Moyle

This script is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This script is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

add_action('init', 'rm_podcast_init');//initialise plugin constants and tables
add_action('admin_menu', 'rm_podcast_menus');
add_shortcode('RM_PODCAST','rm_podcast');
add_action('wp_head','rm_podcast_scripts');


function rm_podcast_scripts(){wp_enqueue_script('rm_podcast_audio',RM_POD_INC_URL.'audio.min.js');wp_enqueue_script('rm_podcast_audio_use',RM_POD_INC_URL.'audio.use.js');}


function rm_podcast_menus() 
{
/**
 *
 * Admin menu
 * 
 * @author  Andy Moyle
 * @param    null
 * @return   
 * @version  0.1
 * 
 */ 
    
    add_menu_page('RM Podcasts', 'RM Podcasts',  'administrator', 'rm_podcasts/index.php', 'rm_podcast_main');
    add_submenu_page('rm_podcasts/index.php', 'RM Podcasts - Files', 'Files',  'administrator', 'rm_podcast_files', 'rm_podcast_files');
    add_submenu_page('rm_podcasts/index.php', 'RM Podcasts - Speakers', 'Speakers',  'administrator', 'rm_podcast_speakers', 'rm_podcast_speakers');
    add_submenu_page('rm_podcasts/index.php', 'RM Podcasts - Events', 'Events',  'administrator', 'rm_podcast_events', 'rm_podcast_events');
    add_submenu_page('rm_podcasts/index.php', 'RM Podcasts - Settings', 'Settings',  'administrator', 'rm_podcast_settings', 'rm_podcast_settings');
}//end rm_podcast_menus
function rm_podcast($atts)
{
    /**
 *  Podcast Shortcode
 * 
 * @author  Andy Moyle
 * @param    null
 * @return   
 * @version  0.1
 * 
 */
    extract( shortcode_atts( array('event_id' => NULL,'speaker_id' => NULL,'file_id'=> NULL), $atts ) );
    require_once(RM_POD_INC.'display.php');
    
    $out='';
    $out.=rm_podcast_display($event_id,$speaker_id,$file_id);
    $out.='<p><a href="'.RM_POD_URL.'podcast.xml"><img src="'.RM_POD_IMG_URL.'podcast-rss.png" width="64" height="64" alt="Itunes Compatible Podcast RSS"></a></p>';
    return $out;
}
function rm_podcast_speakers(){require_once(RM_POD_INC.'speakers.php');rm_podcast_list_speakers();}
function rm_podcast_files(){require_once(RM_POD_INC.'files.php');rm_podcast_list_files();}
function rm_podcast_events(){require_once(RM_POD_INC.'events.php');rm_podcast_list_events();}
function rm_podcast_settings(){require_once(RM_POD_INC.'settings.php');rm_podcast_change_settings();}
function rm_podcast_main()
{
/**
 *
 * Main functions
 * 
 * @author  Andy Moyle
 * @param    null
 * @return   html string
 * @version  0.2
 *
 *
 * 
 */
    
    if(!current_user_can('manage_options'))wp_die("You don't have permission to do that");
    
    if(!empty($_GET['id'])){$id=$_GET['id'];}else{$id=NULL;}
   
    if(!empty($_GET['action']))
    {
        switch($_GET['action'])
        {
            case'list_speakers':require_once(RM_POD_INC.'speakers.php');rm_podcast_list_speakers();break;
            case'edit_speaker':require_once(RM_POD_INC.'speakers.php');rm_podcast_edit_speaker($id);break;
            case'delete_speaker':require_once(RM_POD_INC.'speakers.php');rm_podcast_delete_speaker($id);break;
            case'list_events':require_once(RM_POD_INC.'speakers.php');rm_podcast_list_events();break;
            case'edit_event':require_once(RM_POD_INC.'events.php');rm_podcast_edit_event($id);break;
            case'delete_speaker':require_once(RM_POD_INC.'events.php');rm_podcast_delete_event($id);break;
            case'list_files':require_once(RM_POD_INC.'files.php');rm_podcast_list_files();break;
            case'edit_file':check_admin_referer('edit_podcast_file');require_once(RM_POD_INC.'files.php');rm_podcast_edit_file($id);break;
            case'delete_file':check_admin_referer('delete_podcast_file');require_once(RM_POD_INC.'files.php');rm_podcast_delete_file($id);break;
            case'file_delete':check_admin_referer('file_delete');require_once(RM_POD_INC.'files.php');rm_podcast_file_delete($_GET['file']);break;
            case'file_add':check_admin_referer('file_add');require_once(RM_POD_INC.'files.php');rm_podcast_file_add($_GET['file']);break;
            case'check_files':require_once(RM_POD_INC.'files.php');rm_podcast_check_files();break;
            case'podcast':require_once(RM_POD_INC.'files.php');if(rm_podcast_xml()){echo'<p>Podcast <a href="'.RM_POD_URL.'podcast.xml">feed</a> updated</p>';}break;
            default:require_once(RM_POD_INC.'files.php');rm_podcast_list_files();break;
                
        }//end $_GET['action['switch']    
    }//not empty$_GET['action']
    else
    {//no action
        require_once(RM_POD_INC.'files.php');
        rm_podcast_list_files();
    }//end no action
}//end rm_podcast_main

function rm_podcast_init()
{
/**
 *
 * Defines constants, initialises plugin
 * 
 * @author  Andy Moyle
 * @param    null
 * @return   
 * @version  0.1
 * 
 */

    global $wpdb;
    //db tables
    define('RM_POD_SPK',$wpdb->prefix.'rm_podcast_speakers');
    define('RM_POD_EVE',$wpdb->prefix.'rm_podcast_events');
    define('RM_POD_FIL',$wpdb->prefix.'rm_podcast_files');
    //urls and uris
    define('RM_POD_URL',WP_CONTENT_URL.'/uploads/media/');
    define('RM_POD_PTH',WP_CONTENT_DIR.'/uploads/media/');
    define('RM_POD_INC',WP_PLUGIN_DIR.'/rm_podcasts/includes/');
    define('RM_POD_INC_URL',WP_PLUGIN_URL.'/rm_podcasts/includes/');
    define('RM_POD_IMG_URL',WP_PLUGIN_URL.'/rm_podcasts/images/');
    //check and install db table
    require_once(RM_POD_INC.'install.php');
    rm_podcast_install();
}//end rm_podcast_init


?>